# Cell Tracer

class pypdevs.tracers.tracerCell.TracerCell(uid, server, filename, x_size, y_size, multifile)

  A tracer for Cell-DEVS style tracing output

  __init__(uid, server, filename, x_size, y_size, multifile)

    Constructor

    Parameters

      - uid – the UID of this tracer

      - server – the server to make remote calls on

      - filename – filename to save to

      - x_size – the x size of the grid

      - y_size – the y size of the grid

      - multifile – whether or not multiple files should be generated for each timestep

  startTracer(recover)

    Starts up the tracer

    Parameters

      recover – whether or not this is a recovery call (so whether or not the file should be appended to)

  stopTracer()

    Stop the tracer

  trace(x, y, time, state)

    Save the state of the cell

    Parameters

      - x – the x coordinate of the model, to be used when plotting

      - y – the y coordinate of the model, to be used when plotting

      - time – the time when the model assumed this state

      - state – the actual state to print

  traceConfluent(aDEVS)

    The trace functionality for Cell DEVS output at a confluent transition

    Parameters

      aDEVS – the model that transitioned

  traceExternal(aDEVS)

    The trace functionality for Cell DEVS output at an external transition

    Parameters

      aDEVS – the model that transitioned

  traceInit(aDEVS, t)

    The trace functionality for Cell DEVS output at initialisation

    Parameters

      - aDEVS – the model that was initialised

      - t – time at which it should be traced

  traceInternal(aDEVS)

    The trace functionality for Cell DEVS output at an internal transition

    Parameters

      aDEVS – the model that transitioned